Bug 114944 - system crashed on change of power type
system crashed on change of power type
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-02-04 14:01 EST by Scott Russell
Modified: 2015-01-04 17:04 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 04:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
acpi files that were dumped using acpidmp (79.16 KB, text/plain)
2004-02-18 11:21 EST, Scott Russell
no flags Details

  None (edit)
Description Scott Russell 2004-02-04 14:01:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7a)
Gecko/20040120 Firebird/0.8.0+

Description of problem:
When the power cord is removed/added the system locks up. This happens
regardless of the amout of power in the battery.

When the battery registers low, the system locks up.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run fc1 x86_64. I don not think it matters if the gui is running.
My installation said I was headless; thus I had no gui.
2.Unplug or plug in the power cord.
3.System locks up.

Actual Results:  system locks up.

Expected Results:  The system continues as if nothing happened.
Possibly print message to terminal? And life goes on.

If battery low, print message to terminal/gui popup. And go on as usual.

Additional info:

Computer Config: 
Type: emachines M6807.
Processor: AMD Athlon Mobile 64
RAM: 512
Video Card: ATI Radeon Mobility 9600 with 64MB
Monitor Resolution: 1280x800
Wireless: Broadcom 802.11g

What little I know about the config can be found at www.emachines.com
I have not seen a detailed spec for everything on the site or my
Comment 1 Justin M. Forbes 2004-02-04 14:24:58 EST
These laptops are full of new and unsupported hardware... eMachines
offers no promise of support.  That said, ACPI support should help
with this issue.  I will need to verify that the IO_APIC work around
funtions on this chipset.  If it does, I will push the kernel patch
upstream.  To save you some trouble outside of this issue, you will
need to download XFree86 4.3.99.x and rebuild that for X support.  I
have the patch to make kernel-pcmcia-cs working, but need to push it
upstream, and there are no wireless drivers for that chipset.
Comment 2 Scott Russell 2004-02-18 11:21:56 EST
Created attachment 97802 [details]
acpi files that were dumped using acpidmp

I found, on the internet, a way to dump the contents of the acpi related stuff.
I was hoping that someone could figure out what was wrong or what the FC acpi
was doing incorrectly.

In regards to the previous comment: while I know that the wireless card will
not work, I am sure that there is a way to get the acpi to function correctly;
I know this because the acpi related functions work correctly under FreeBSD 4.9
RELEASE and it works correctly under Solaris 10.

From what I have read the main difference between FreeBSD's acpi and most of
the other variations of Linux, is that the FreeBSD's acpi is not located in the
kernel and that the files are stored in /proc. I do not know anyting about acpi
on Solaris.

Anyway, I hope that with this new/extra information that we can get FC's acpi
working on my computer (x86 and x86_64). Oh, and speaking of which, I tried FC2
test 1 for x86 (using kernel 2.6.x) and the acpi does not work correctly for
this kernel either. I have not had time to try the x86_64 2.6.x kernel yet, I
do not know how to establish a wireless dhcp connection form the commant
prompt. When I get the time to download it (probable in 3 to 4 weeks bcause of
my current work load) I will let you know.
Comment 3 Justin M. Forbes 2004-03-06 02:29:55 EST
Unfortunately there are some ACPI issues in BIOS on this laptop... It
is not officially supported, but can be made to work in FC1 release. 
USB keyboard is still required for install, and newer XFree must be
built, otherwise, just append pci=noacpi during install/boot and ACPI
should work fine for power management. I am trying to push for a BIOS
update to fix the real issues.
Comment 4 Chris Kloiber 2004-03-22 22:19:51 EST
Found a patch for the power change lockup, and some other tidbits:

Comment 5 Dave Jones 2004-11-29 04:37:21 EST
fc1 - eol.

Note You need to log in before you can comment on or make changes to this bug.